Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | Safe
Language | Haskell2010

Agda.Utils.IORef

Description

Utilities for Data.IORef.

Synopsis

- module Data.IORef
- readModifyIORef' :: IORef a -> (a -> a) -> IO a

# Documentation

module Data.IORef

readModifyIORef' :: IORef a -> (a -> a) -> IO a #

Read `IORef`, modify it strictly, and return old value.